# Tomcat
server:
  port: 9527
  servlet:
    context-path:

#mybatis-plus配置
#mybatis-plus:
#  mapper-locations:
#    - classpath*:com/jeeplus/modules/**/*Mapper.xml
#    - classpath:/META-INF/admin-mybatis-mappings/*.xml
#    - classpath:/META-INF/modeler-mybatis-mappings/*.xml
#  #实体扫描，多个package用逗号或者分号分隔
#  typeAliasesPackage: com.jeeplus.modules.**.entity
#  configuration-properties:
#    prefix:
#    boolValue: TRUE
#    blobType: BLOB

# Spring
spring:
  main:
    allow-bean-definition-overriding: true
  application:
    # 应用名称
    name: jeeplus-finance
  boot:
    admin:
      client:
        url: http://localhost:8989
  profiles:
    # 环境配置
    active: pro
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 127.0.0.1:8848
        # 命名空间
        namespace: ${spring.profiles.active}
        username: nacos
        password: jsxgpassword
      config:
        # 配置中心地址
        server-addr: 127.0.0.1:8848
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application.${spring.cloud.nacos.config.file-extension}
        # 命名空间
        namespace: ${spring.profiles.active}
        username: ${spring.cloud.nacos.discovery.username}
        password: ${spring.cloud.nacos.discovery.password}
      auth:
        plugin:
          nacos:
            token:
              secret:
                key: cCtJSWRxbW1xT3FmZkh1RTBpdTltYkM5ZlNSaTRyQ1RiSzJzV1pweEYycz0=
    sentinel:
      transport:
        dashboard: 127.0.0.1:8858
  thymeleaf:
    prefix: classpath:/templates/
    suffix: .html
    mode: HTML5
    encoding: UTF-8
#ribbon的超时时间
ribbon:
  ConnectTimeout: 60000 # 连接超时时间(ms)
  ReadTimeout: 60000 # 通信超时时间(ms)

hystrix:
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMillisecond: 60000 # 熔断超时时长：60000ms
management:
  endpoints:
    web:
      exposure:
        include: "*"
#oss配置
config:
  accessory:
    type: minIO       #local, aliyun, minIO
    baseDir: file
    local:
      location: d:\\accessory
    aliyun:
      aliyunUrl: http://oss.gangwaninfo.com
      aliyunDownloadUrl: http://cdn.gangwaninfo.com
      endpoint: http://oss-cn-hangzhou.aliyuncs.com
      accessKeyId: LTAI5tKa6kzGr5EyPWJB4EcD
      accessKeySecret: arHxB7ZPhizrBYf4844TtyaRctPMgW
      bucketName: xg-pg
    minIO:
      endpoint:
      accessKey:
      secretKey:
      bucketName:
#阿里云文件夹路径
aliyun_directory: attachment-file/assess
#签章阿里云文件bucketName
qzBucketName: xg-qz
